## Package org.codehaus.groovy.grails.web.servlet.mvc.exceptions

Exception Summary
ControllerExecutionException
GrailsMVCException: Thrown when an unrecoverable error occured in the Grails MVC framework.
IncompatibleParameterCountException: Thrown when a closure has an incompatible parameter count for a controller implementation.
InvalidUriException: Thrown when a controller cannot make sense of the URI it has to handle.
NoClosurePropertyForURIException: Thrown when no closure property has been mapped to a given URI.
NoViewNameDefinedException: Thrown when no view name is returned from a closure in a controller and no view name has been configured.
UnknownControllerException: Thrown when a URI cannot be matched to a controller.
UnsupportedReturnValueException: Thrown when the return value of a closure is unsupported.

Copyright (c) 2005-2009 The Grails project